petsc-3.10.5 2019-03-28
Report Typos and Errors

# PETSC_i

the imaginary number i

### Synopsis

    #include <petscsys.h>
    PetscComplex PETSC_i;

### Note

Complex numbers are automatically available if PETSc located a working complex implementation

### See Also

PetscRealPart(), PetscImaginaryPart(), PetscRealPartComplex(), PetscImaginaryPartComplex()

### Level

beginner

### Location

src/sys/objects/init.c

### Examples

src/ksp/ksp/examples/tutorials/ex11.c.html
src/ksp/ksp/examples/tutorials/ex11f.F90.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages